    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025     * Other names may be trademarks of their respective owners.]
    026     *
    027     * ----------------
    028     * WindDataset.java
    029     * ----------------
    030     * (C) Copyright 2001-2008, by Achilleus Mantzios and Contributors.
    031     *
    032     * Original Author:  Achilleus Mantzios;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes
    036     * -------
    037     * 06-Feb-2002 : Version 1, based on code contributed by Achilleus
    038     *               Mantzios (DG);
    039     *
    040     */
    041
    042    package org.jfree.data.xy;
    043
    044    /**
    045     * Interface for a dataset that supplies wind intensity and direction values
    046     * observed at various points in time.
    047     */
    048    public interface WindDataset extends XYDataset {
    049
    050        /**
    051         * Returns the wind direction (should be in the range 0 to 12,
    052         * corresponding to the positions on an upside-down clock face).
    053         *
    054         * @param series  the series (in the range <code>0</code> to
    055         *     <code>getSeriesCount() - 1</code>).
    056         * @param item  the item (in the range <code>0</code> to
    057         *     <code>getItemCount(series) - 1</code>).
    058         *
    059         * @return The wind direction.
    060         */
    061        public Number getWindDirection(int series, int item);
    062
    063        /**
    064         * Returns the wind force on the Beaufort scale (0 to 12).  See:
    065         * <p>
    066         * http://en.wikipedia.org/wiki/Beaufort_scale
    067         *
    068         * @param series  the series (in the range <code>0</code> to
    069         *     <code>getSeriesCount() - 1</code>).
    070         * @param item  the item (in the range <code>0</code> to
    071         *     <code>getItemCount(series) - 1</code>).
    072         *
    073         * @return The wind force.
    074         */
    075        public Number getWindForce(int series, int item);
    076
    077    }